package com.cf.imes.module.manage.service.process;


import com.cf.imes.framework.common.pojo.PageResult;
import com.cf.imes.module.manage.controller.admin.process.vo.*;
import com.cf.imes.module.manage.controller.admin.query.vo.productionStatus.OrderModuleVO;

import java.util.List;

public interface ProductionProcessService {




    // 生产工序单分页查询
    PageResult<ProcessRespVO> getProcessPage(ProcessPageReqVO pageReqVO);



    // 修改工序明细表的工序状态
    void updateProcessStatus(OrderProcessStepItemVO reqVo);



    // 查看板材信息的组合名称
    List<OrderModuleVO> selectPlateName(Long stepItemId);


    // 查询生产单对应的柜体名称
    List<OrderBodyRespVo> selectBodyName(OrderBodyReqVO reqVO);


    OrderPlateReqVO selectPlate(ProcessPlateReqVO reqVO);

}
